# Uses of Interface
org.eclipse.microprofile.openapi.models.responses.APIResponses

Packages that use APIResponses
Package
Description
org.eclipse.microprofile.openapi
A set of Java interfaces, annotations and programming models which allow Java developers to natively produce OpenAPI v3.1 documents from their Jakarta REST applications.
org.eclipse.microprofile.openapi.models
A set of interfaces for programmable models and their helper classes, many derived from Swagger Core library.
org.eclipse.microprofile.openapi.models.responses
Model interfaces to describe a single response from an API operation, and an annotation to encapsulate multiple responses from an API operation.

## Uses of APIResponses in org.eclipse.microprofile.openapi

Methods in org.eclipse.microprofile.openapi that return APIResponses
Modifier and Type
Method
Description
`static APIResponses`
OASFactory.`createAPIResponses()`
This method creates a new `APIResponses` instance.

## Uses of APIResponses in org.eclipse.microprofile.openapi.models

Methods in org.eclipse.microprofile.openapi.models that return APIResponses
Modifier and Type
Method
Description
`APIResponses`
Operation.`getResponses()`
Returns the responses property from an Operation instance.
Methods in org.eclipse.microprofile.openapi.models with parameters of type APIResponses
Modifier and Type
Method
Description
`default Operation`
Operation.`responses(APIResponses responses)`
Sets this Operation's responses property to the given responses.
`void`
Operation.`setResponses(APIResponses responses)`
Sets this Operation's responses property to the given responses.

## Uses of APIResponses in org.eclipse.microprofile.openapi.models.responses

Methods in org.eclipse.microprofile.openapi.models.responses that return APIResponses
Modifier and Type
Method
Description
`APIResponses`
APIResponses.`addAPIResponse(String name, APIResponse apiResponse)`
Adds an APIResponse in the format of the name as a key and the item as the value to APIResponses map
`default APIResponses`
APIResponses.`defaultValue(APIResponse defaultValue)`
Sets the default documentation of responses for this instance of ApiResponses and return this instance of ApiResponses.